{
  config,
  lib,
  ...
}: let
  cfg = config.alqueva.programs.direnv;
in {
  options.alqueva.programs.direnv = {
    enable = lib.mkEnableOption "direnv";
  };

  config = lib.mkIf cfg.enable {
    programs.direnv = {
      enable = true;
      silent = true;
      nix-direnv.enable = true;
      direnvrcExtra = ''
        echo "direnv version: ${config.programs.direnv.package.version}"
        echo "shell version: ${config.users.defaultUserShell.pname} ${config.users.defaultUserShell.version}"
      '';
    };
  };
}
